summaryrefslogtreecommitdiffstats
path: root/integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive
diff options
context:
space:
mode:
Diffstat (limited to 'integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive')
-rwxr-xr-xintegrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive2
1 files changed, 1 insertions, 1 deletions
diff --git a/integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive b/integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive
index 1733c16a37..f1f2709ddd 100755
--- a/integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive
+++ b/integrations/gitea-repositories-meta/user2/repo20.git/hooks/pre-receive
@@ -5,7 +5,7 @@ hookname=$(basename $0)
GIT_DIR=${GIT_DIR:-$(dirname $0)}
for hook in ${GIT_DIR}/hooks/${hookname}.d/*; do
-test -x "${hook}" || continue
+test -x "${hook}" && test -f "${hook}" || continue
echo "${data}" | "${hook}"
exitcodes="${exitcodes} $?"
done